Introducing the Vypress Messenger

Vypress Messenger - The High-Tech Solutions for Real-Time Messaging!

  • Introducing the Vypress Messenger!

    Vypress Messenger is the first real-time messaging system specifically designed for business Intranets. Using a peer-to-peer architecture, it delivers text messages from workstation to workstation at real-time, without the typical delay associated with conventional e-mail.

    It's simple fact. Efficient, flexible, instantaneous communications is critical to your company's success. Which is the reason why we created Vypress Messenger™ — software for real-time messaging. Your see whether you're working with people across the hall or around the world, Vypress Messenger can help you communicate better than even before. The means you can implement a new sales program for your field sales force in hours, instead of weeks. Or offer immediate, real-time assistance to an network users, instead of making them wait for a return e-mail or phone call. The bottom line? The VyPRESS product family delivers instant messaging that's fit for business. Your business.

    The Vypress Messenger provides you with a simple yet effective two-way messaging program that allows you to exchange messages with one user or broadcast to a group of selected users, or the entire network. The Messenger provides an automatic acknowledgement that the message was delivered (not read) to the selected user(s). When the user reads the message, a further acknowledgement or other response can be generated by the user.

  • Fast messages to multiple destinations.

    Vypress Messenger uses the power of modern 32-bit multithreading operational systems for fast delivery to multiple users. In most cases you can send the message to 100 users as quickly as to one.

  • Host message acknowledgment.

    Vypress Messenger allows user to answer the incoming messages quickly and with few keystrokes. You can simply select any segment of the incoming message for comment and reply. For convenience of reading, the segments are automatically marked by familiar ">" - standard convention for Internet "reply" symbols.

  • Away from your desk? - use AutoAnswer.

    You don't have to leave the field workers waiting for a reply when you leave your desk for short periods. You can simply turn Vypress Messenger into an answering machine, accepting messages in your absence and automatically acknowledging them with a message of your choice.

  • Use the Address Book to store and retrieve addresses.

    You can save names and addresses in the address book, either by typing them in or copying them from incoming messages.

  • No "third party" Internet message servers.

    Unlike E-Mail which requires a central Mail Host and other Message type Internet Servers, the Vypress Messenger creates a direct link between you and other user or other local and regional offices. There are no "third party" servers and services collecting confidential information about your company and its Staff.

We hope, you will like our program!
Thanks for choosing Vypress Messenger!
We are glad to answer any your questions.
All your offers on improvement of this program are important for us - write us - support@vypress.com !
Also, please visit our site in Internet - http://www.vypress.com


How to order Vypress Messenger

Shop VyPRESS

  • Ordering and Payment methods
  • Product Pricing

Ordering and Payments methods

We accept five types of payment: Online, Fax, phone, Wire Transfer and mail. Secure Payments assured. All payment must be in US currency.

The software is available for immediate download. Once you have purchased the product by filling in online order form, a license will be sent to you via email to unlock the software for use. You may download the trial software before or after you complete the purchase process.

Your license will be valid for all future versions of Vypress Messenger or Vypress Auvis!

If you will not get your license within a reasonable amount of time (two business days for credit card payments or two weeks for other payments), please notify us about that! We're very sorry for any inconvenience caused by those delays.

  1. Through the World Wide Web. This is the fastest and easiest way. Your credit card information is sent directly to the credit card processor in a very secure manner, so that nobody else can see it. That protects you by ensuring that nobody but you and the credit card processor will see your card. You can go directly to the order page:
    http://www.vypress.com/register.html

  2. Fax or phone orders.
    European customers: If you do not want to submit your order and credit card information online, you can also fax your order to us at +49-221-2407278, or call us at +49-221-2407279. (Please note, however, that this is a secure web site which is encrypting all transmitted credit card data according to the secure HTTP protocol.)

    US customers: You may also place your order by calling our toll-free order number 1-800-903-4152 (available on weekdays from 9am to 5pm). Orders may also be sent by fax to (724) 850-8187. Please make sure to have your program ID #102765 for Vypress Messenger or ID #102837 for Vypress Auvis ready.

    It is recommended to use online order form generator if you want to purchase over fax.

  3. Check and cash orders.
    If you want to pay with cash or by check, please send it to:

    ShareIt!
    element 5 AG
    Sachsenring 69
    50677 Koeln/Cologne
    Germany

    Please make checks payable to element 5 AG (Note: please do not send eurocheques in US$. We can only accept eurocheques in DM.)
    If you're located in the US, you can also send your check or cash payment to our US office:

    ShareIt! Inc.
    P.O. Box 844
    Greensburg PA 15601-0844
    U.S.A.

    Please make U.S. checks payable to ShareIt! Inc.

  4. Wire Transfer.
    You can also use the wire transfer (to our bank account); contact VyPRESS Research (sales@vypress.com) for more details.

Product Pricing

Quantity | Price per unit
1 | $15.00 US
2..9 | $12.50 US
10..99 | $10.00 US
100..999 | $6.50 US
1000+ | $3.00 US
Unlimited License | $8000.00

If you are interested in an unlimited site license, please, contact our sales staff: sales@vypress.com


VyPRESS Research Online

Please, visit our site in Internet - http://www.vypress.com!

Every time you can find on our site information about new version of VyPRESS's products, announces, new beta-versions, special offers and more.


Quick Start

This section explains the simple and quick procedures you should follow in order to begin using Vypress Messenger.

Step 3 Step 5 Step 3 Step 2 Step 1 Step 4 Click on area to get explanation

To start using Vypress Messenger there are five simple steps that you should follow.

Step 1 In the bottom window of Vypress Messenger type the message that you wish to send to one or more recipients. Your message can contain any characters and can have a maximum length of 64k. If you defined an Signature this signature will be appended to every message that you send.
Step 2 To send your message, simply type in the address of the recipient in the Address Line (located on central splitter) or choose from an address from your Address Book by using the drop down menu.
Your message can be sent to individuals recipients, group of recipients or simply All Users (in this case message will be dispatched to all users outside of any groups). If you wish to see individual and group addresses in the drop down list, you must use the Address Book to define these addresses. Otherwise type the the addresses, if you wish to send to more than one address, separate by semicolon (;).

It is important to note that Vypress Messenger uses the TCP/IP protocol, therefore when you enter an address, you should use the IP-address or the name of the computer from the DNS that you are sending to. You can also enter e-mail address of recipient to send message via SMTP protocol.

Vypress Messenger can send and receive messages via UDP protocol including broadcast messages. To send messages using UDP protocol just add "#udp" to the end of the address (for example vimp:193.233.12.1#udp or mydomain.com#udp). If you setup Preferences to utilize only UDP protocol symbols, "#udp" is not required. For sending broadcast messages just enter addresses as follows "192.233.255.255#udp".

You can also specify the recipient's Vypress Messenger's TCP/IP or UDP port. Simply enter the address as "129.32.34.34:777#udp" or "somehost.com:1234" where 7778 and 1234 are the ports. Example for UDP message: "129.32.34.34:7778#udp" or "somehost.com:1234#udp"
Step 3 Once you have typed in the address of the recipient(s) press the Send Message button and your message will be sent. Alternatively you can press <ALT + ENTER>
If everything was correct and the addressee was located on the network, with Vypress Messenger (or Vypress Auvis) started, you will see a confirmation window (you can disable this confirmation window through the Preferences)
Message has been send succesfully!
When you see the confirmation window after sending your message, it means your message was delivered ok to the recipient(s). Unlike WinPopup, Vypress Messengers always confirms that a message was received successfully.
If for some reason an error incurred while delivering your message, because your address (or at least one of the several addresses) is not available on the network, or the recipient does not have Vypress Messenger running, or for any other reason the message did not arrive you will see a window like this:
Host(s) not found!
You can retry these addresses manually at a later time or use the automatic "retry" option.
Step 4 The top window of Vypress Messenger you can see any incoming messages from your collegues or system administrator.

You can easily allow or disallow the messages that you receive by using the filtering system and the Address Book.
The very first line of the message contains date, time and day of the week that the message was received.
If the sender uses Vypress Messenger, then the second line of the message contains information about the Sender and Recipients of the message (e.g. you or the group the message was sent to). This line begins with the words Message from if the message was sent manually. If the message was sent automatically by the AutoAnswer feature of Vypress Messenger, you will see this text AutoAnswer from.
Step 5 To navigate through your messages, you can click on the left and right arrows to move easily through your messages, if you wish to delete the current message, you can use the delete button on the toolbar.

Here we have described the most simple and necessary features of Vypress Messenger to get you started. However Vypress Messenger offers much more, please read the documentation to find out more about the powerful features of Vypress Messenger and discover how you can customize it to your preferences.


Keyboard shortcuts

Tips & Tricks

Using the Keyboard

You can use shortcut keys to select Vypress Messenger's commands and to navigate through your messages.

All windows, edit windows & dialogs
To do this | Press this
Select a portion of text | Shift+left or right arrow
Copy the selections and put it on the Clipboard | Ctrl+C or Ctrl+Insert
Insert Clipboard contents | Ctrl+V or Shift+Insert
Cut the selections and put it on the Clipboard | Ctrl+X or Shift+Del
Undo last text action | Ctrl+Z

Edit and main window
To do this | Press this
Select all text | Ctrl+A
Go to previous message | Alt+left arrow ("<")
Go to next message | Alt+right arrow (">")
Delete current message | Alt+Del
Delete all incoming messages | Alt+Shit+Del
Send composed message | Alt+Enter or Alt+S
Toggle AutoAnswer | Alt+A
Minimize main window | ESC
Check for new e-mail now | Ctrl+Alt+M
Open Help | F1
Close Vypress Messenger | Alt+F4
Navigate trough Vypress Messenger | TAB and Shift+TAB
Drop-down user list | F4
Go to Vypress Messenger menu | Alt or F10 or Alt+underline letter
Save current message text to file | Ctrl+S
Recall previous outgoing message text | Alt+Page Down
Go to very first received message | Alt+Home
Go to very last received message | Alt+End
Recall next outgoing message text | Alt+Page Up
Print messages | Ctrl+P

Address Book
To do this | Press this
Add new user | Insert
Create new group of users | Ctrl+Insert
Delete selected user(s) or group(s) | Del
Go to selected group | Enter
Modify parameters of selected user | Enter
Go to one level up | Backspace
Activate/Deactivate selected user(s) or group(s) | Space
Select all item in current group | Ctrl+A
Refresh Address Book | F5


Menus & Toolbar

Menu & Toolbar

The Vypress Messenger menu contains four sections — Message, Edit, View and Help. With the help of the menus, you can easily access all components of the program.

The most common commands can be found on the Vypress Messenger toolbar. You can move this toolbar and place it where you want for your convenience (The toolbar can be placed in each corner of the Vypress Messenger window or taken out and placed anywhere on the screen).

Click on button to get more info

The following commands (from left to right) are on the toolbar:

Previous | Go to the previous message
Next | Go to the next message
Delete | Delete the current message
Cut | Deletes selected data from the message and moves it to the clipboard.
Copy | Copies selected data from the message to the clipboard.
Paste | Pastes data from the clipboard into the text of current message.
Address Book | Opens Address Book dialog
Preferences | Displays Preferences dialog. To get help for Preferences dialog please use context sensitive help in it.
About | Displays the copyrights, version number and registration information of this application.

This section of the help file thoroughly describes the commands of the menus and the toolbar.


Message Menu

Menu "Message"

This menu covers the message function management including — navigate between messages, removal, etc. Below you will find a description of the various fields starting from the top:

Send message | Shortcut: Alt+Enter
Will send the message to selected recipient(s). Same function as Send message button in main window.
Send as high priority message |
Vypress Messenger with attention mark This will cause the message to be marked as "High Priority". These messages are identified with a red exclaimation mark (red "!") on Menu bar beside Addressee Window.
Previous | Shortcut: Alt+left arrow
On this command the transition to the previous received message is carried out. I.e. in the top part of the main window of the program the message is displayed which was received before what is displayed now, and in the bottom window of input there is a text already prepared for the answer (i.e. marked by symbol " > ") (if you something have entered in the bottom window and have not sent yet or have not removed the entered text, the text of the message in it to occur will not be). The given command is inaccessible, if the very first message is already displayed, or if there is only one message.
Next | Shortcut: Alt+right arrow
On this command the transition to the following received message is carried out. I.e. in the top part of the main window of the program the message is displayed which was received after displayed now, and in the bottom window of input there is a text already prepared for the answer (i.e. marked by symbol " > "). The given command is inaccessible, if last message is already displayed, or if there is only one message.
Delete | Shortcut: Alt+Delete
This command deletes the message displayed in the current moment in the top window of the program. Pay attention that the given operation cannot be cancelled and any confirmations will not be requested! After removal of the message, the transition to the previous message will be carried out, if it is present, or to the following message, if the very first message leaves. If you delete sole stayed the messages, the automatic minimization of the main window of the program - for this purpose is possible it is necessary to include the appropriate option in dialogue of adjustment of the interface Vypress Messenger (by default it is switched - off).
Add sender to... |
This command is intended for fast addition of the sender of the current message in the Address Book. This command is inaccessible, if in the current moment there are no messages.
Save message | Shortcut: Ctrl+S
This command allows to save current messages into text file.
Save all messages |
Allows to save content of all incoming messages into specified text file.
Print... | Shortcut: Ctrl+P
This command prints current or all received messages.
Discard all messages | Shortcut: Alt+Shift+Delete
This command deletes all messages, stored in the current moment. As thus it is possible simultaneously and for ever to remove a plenty of the information, in addition will be requested from you confirmation of this operation.
Exit | Shortcut: Alt+F4
This command closing Vypress Messenger and termination acceptance of messages. Irrespective of a condition of the switch in Interface Preferences dialog of the program the exit will be carried out at once and without confirmations.


Menu "Edit"

The Edit menu offers the following commands:

Undo | Shortcut: Ctrl+Z
Reverse previous editing operation.
Cut | Shortcut: Ctrl+X or Shift+Del
Deletes data from the active text area and moves it to the clipboard.
Copy | Shortcut: Ctrl+C or Ctrl+Insert
Copies data from the active text area to the clipboard.
Paste | Shortcut: Ctrl+V or Shift+Insert
Pastes data from the clipboard into the active text area.
Select All | Shortcut: Ctrl+A
Selects all the text in the active text area.


View Menu

Menu "View"

The View menu offers the following commands:

Toolbar

This menu item shows or hides the toolbar in the main Vypress Messenger window. You can hide or unhide the toolbar according to your preferences.
Status Bar

This menu item shows or hides the Status Bar. The Status Bar provides additional information while you use Vypress Messenger, this information includes the time it takes to send a message, message processing information and any errors that may incurred whilst sending a message. You can turn the Status bar on and off.
Text Size

This menu item allows you to select font size for both outgoing and incoming messages text. This option is very useful for people with disabilities or if you use very high screen resolution.
Address Book...
This menu item opens the Address Book. To find out more about the functionality of the Address Book please use context-help in Address Book dialog.
Preferences
This menu item opens the Vypress Messenger Preferences. To get info about Preferences dialog use context sensitive help in this dialog.
AutoRetries Monitor...
This menu item allows you to use AutoRetries feature. To get more info use context help in this dialog
Message Information...
This menu item allows you to view all properties of current message such as sender's address, license name, etc.
Pop up on message receipt
If you prefer to keep Vypress Messenger minimized, you can have your messages pop up on screen upon arrival. Simply enable this option and Vypress Messenger will open up and display your messages as they arrive. If you have enabled this option and have AutoAnswer selected then the program will remain minimized. This option is disabled by default.


Help Menu

Menu "Help"

This menu option will give you information on the functionality and how to use Vypress Messenger.

Contents and Index | Shortcut: F1
This command calls the Help file
Visit Vypress Messenger Web Site |
This command will start your default web browser and open the VyPRESS Research Home Page — http://www.vypress.com
License... |
This command allows you to enter the license keyfile you have received from VyPRESS Research. We hope you use the registration command sometime. Detailed information about purchasing is located in the How to order. You may start the registration process at any time when Vypress Messenger is running. If registration fails, you may continue working in unregistered mode. If registration completes successfully you will find your registration information in the About dialog.
About... |
This command displays dialog with information about the Vypress Messenger version and build number, copyright and license information.


Using accessibility features

Using accessibility features in Vypress Messenger

In addition to Microsoft Windows, Windows NT, and Windows 95 accessibility products and services, the following features make Vypress Messenger more accessible for people with disabilities.

Using sounds

If you have cognitive disabilities, you may want to clear this check box to prevent distractions. If you are blind, you may want to clear this check box or selectively download sounds so that they do not interfere with a screen reader reading text aloud.

Resizable main windows of Vypress Messenger

You may resize main window of Vypress Messenger as you needed. It possible to display only window with incoming or outgoing messages.

Keyboard access

All features in Internet Explorer are accessible to you by using the keyboard or the mouse. For more information about keyboard access, look up "keyboard shortcuts" in the Help Index.

Work pretty good with large fonts and high contrast

Vypress Messenger extensively tested on large fonts and high contrast modes to make you work as comfortable as possible.